Xerces-C++: XMLDouble Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLDouble Class Reference

Inheritance diagram for XMLDouble:

List of all members.

## Public Member Functions
| XMLDouble (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLDouble` object that represents the value represented by the string.
| ~XMLDouble ()
| XMLDouble (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
## Static Public Member Functions
static int | compareValues (const XMLDouble *const lValue, const XMLDouble *const rValue)
| Compares this object to the specified object.
## Protected Member Functions
virtual void | checkBoundary (char *const strValue)

## Constructor & Destructor Documentation

XMLDouble::XMLDouble | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructs a newly allocated `XMLDouble` object that represents the value represented by the string.

Parameters:

  | strValue | the `String` to be converted to an `XMLDouble`.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | NumberFormatException | if the `String` does not contain a parsable XMLDouble.

XMLDouble::~XMLDouble | ( |  | ) |

XMLDouble::XMLDouble | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## Member Function Documentation

int XMLDouble::compareValues | ( | const XMLDouble *const | lValue,
|  | const XMLDouble *const | rValue |
| ) |  |  | `[static]`

Compares this object to the specified object.

The result is `true` if and only if the argument is not `null` and is an `XMLDouble` object that contains the same `int` value as this object.

Parameters:

  | lValue | the object to compare with.
  | rValue | the object to compare against.

Returns:
  `true` if the objects are the same; `false` otherwise.

virtual void XMLDouble::checkBoundary | ( | char *const | strValue | ) | `[protected, virtual]`

Implements XMLAbstractDoubleFloat.

The documentation for this class was generated from the following file:

- XMLDouble.hpp